How to approach creating a JVM programming language?

I have created a compiler in C (using Lex & Bison) for a dynamic typed programming language that supports loops, functions declarations inside functions, recursive calls, etc. I also created a...

Syntax error in for loop (Ruby/RSpec)

While running the RSPEC test as shown below im getting this error: Using Accessor#strict_set for specs SyntaxError:...

Sonar installed & started but not accessible

Summary: Installed standalone sonar Started through /etc/init.d/sonar start sonar.log doesn't show any error unable to open http://mymachine.ipaddress:9000/sonar GET...

java.lang.OutOfMemoryError: Java heap space deploying .war on Tomcat 7

Getting below error when running the war file in tomcat7 (Ubuntu): Exception in thread "http-bio-8080-AsyncTimeout" java.lang.OutOfMemoryError: Java heap space at...

Install Latest Stable Version of Ruby Using rbenv

I want to install the latest stable version of Ruby available with rbenv. This feature won't be happening in rbenv itself. When I run the command rbenv install -l in my shell, I get a long list of...

Rails: Address already in use - bind(2) (Errno::EADDRINUSE)

I am trying to deploy Rails app with the Puma web server. When trying to start Puma server with a config file bundle exec puma -C config/puma.rb I get an error that the address is already in...

Could not find gem 'rails (= 4.2.5) x86-mingw32' when running rails server

I'm trying to learn Ruby on Rails. Currently been trying out Rails framework. I've installed it. Create new project in MyBlog folder, but when I try to run: rails server I get back an...

Elasticsearch JAR hell error

I created a Java file using Elasticsearch Java API. in NetBeans, everything worked just fine. However, I started getting the following error: org/elasticsearch/plugins/PluginsService.java:342:in...

How to use gollum on Windows? Is it possible?

I want to use the wiki on GitHub, and also use without Internet. So I focus on gollum -- A git-based Wiki,but it is not possible on Windows. But in the README.md on GitHub, they say in the Windows...

How to execute query over Amazon Athena with ruby?

how to connect Amazon Athena with Ruby and execute query over Amazon Athena and get result. we not able to find any gem or example with help us to connect Amazon Athena in ruby. Please provide any...

Why is reference assignment atomic in Java?

As far as I know reference assignment is atomic in a 64 bit JVM. Now, I assume the jvm doesn't use atomic pointers internally to model this, since otherwise there would be no need for Atomic...

An error occurred while installing mysql2 (0.4.8), and Bundler cannot continue

How can I fix this error in ruby on rail. source 'https://rubygems.org' git_source(:github) do |repo_name| repo_name = "#{repo_name}/#{repo_name}" unless repo_name.include?("/") ...

`require': 126: The specified module could not be found. - ../Ruby24-x64/lib/ruby/gems/2.4.0/gems/rmagick-2.16.0/lib/RMagick2.so (LoadError)

I have an existing project. I have upgraded that into Ruby24-x64, I am trying to run that but i am getting the above error. I have been trying since 2 days but no luck. I am facing the above issue...

Access Sonarqube Webapi with python requests

i quite new to pyhton. I just try a simple way to get an HTTP response with python to a simple get from the sonar Web API i use the request library and try a simple use : project =...

java.lang.OutOfMemoryError: Java heap space when transferring data from jdbc to elasticsearch via logstash

I have a huge postgres database with 20 million rows and i want to transfer it to elasticsearch via logstash . I followed the advice mentioned here and I test it for a simple database with 300...

There was an error while trying to load the gem 'pg'

I'm trying to update my old project to new rails version and I have this error when I'm trying to run it as debug in local As you can see above I'm using Windows. The project now have the ruby...

Bundler install - could not find compatible versions for gem "actionpack" - Rails 5

I'm trying to set up ruby on rails to start studying it but I keep getting this error when I run bundle install. Bundler could not find compatible versions for gem "actionpack": In Gemfile: ...

wrong version of ruby recognized on windows

I have an different version of ruby recognized by my windows10 cmd, even after I've uninstalled that version, and now it's preventing me from running bundle update or bundle...

Logstash 6.7.0 fails to start with an error “Error: Permission denied - Permission denied” on macOS Mojave (10.14.4)

Recently upgraded Logstash (which was installed via Homebrew) on macOS Mojave (10.14.4) to version 6.7.0 and things are not working as expected. When I try to run it manually via the command...

Application.js not loading in Rails 6

I'm struggling to make javascript work in Rails 6. For some reason, /app/javascript/packs/application.js file does not seem to load at all. Consequently, none of the javascript stuff works (like...

cannot load such file -- 'nokogiri\nokogiri' ruby 2.7

I'm running AWS Lambda locally. When I run the lambda function this is the error I get: { "errorMessage": "cannot load such file -- nokogiri/nokogiri", "errorType": "Init<LoadError>", ...

Why can't I type in terminal after hitting binding.pry or byebug when running rails test?

When running the test suite for my Rails application, whenever I hit a binding.pry or byebug, my terminal gets corrupted-- what gets echoed to the terminal isn't what I'm typing and the only way...

Elastic Entreprise Search 7.9.0 with docker

I am trying to run Elastic Enterprise search 7.9.0 using the docker image by following the stpeps here : https://www.elastic.co/guide/en/enterprise-search/current/docker.html docker run -p...

How do I fix this error: "Your bundle only supports platforms [] but your local platforms are ["ruby", "x86_64-darwin-19"], and there's no compati..."

When I run bundle install this is the response I get "Your bundle only supports platforms [] but your local platforms are ["ruby", "x86_64-darwin-19"], and there's no compatible match between...

Heroku push error: "Could not detect rake tasks" ( Rails 6.1 )

I have a "Rails 6.1.1" application. Whenever I'm trying to deploy it I'm getting this error - remote: -----> Detecting rake tasks remote: remote: ! remote: ! Could not detect rake...

How to resolve Gemfile.lock contains merge conflicts (running `git checkout HEAD -- Gemfile.lock` does not work)

I got an error message after I ran bundle install in my ruby on rails app, the error message was: Your Gemfile.lock contains merge conflicts. Run `git checkout HEAD -- Gemfile.lock` first to get a...

! Failed to install gems via Bundler Heroku Rails

I'm super new to RoR and am attempting to deploy my app on heroku. I'm getting the error you can see in the title. Gemfile: source 'https://rubygems.org' git_source(:github) { |repo|...

Error while running bundle update after doing git clone

I'm using window operating system for ruby on rails application. I just clone the git repository which is a ruby on rails application. But, when I do bundle update it shows this error libv8-node...

Unable to build and deploy Rails 6.0.4.1 app on heroku - Throws gyp verb cli error

Hi i was deploying a branch on heroku and threw up this error. I also tried deploying a branch which worked perfectly, but that is also showing the same error. local yarn verion : 1.22.17 local...

Javascript / Jquery not working with Ruby on Rail 7?

Hi I'm new to RoR and I'm currently trying to implement some javascript / jquery code to my application but I can't seem to get it to work. I can't even seem to print out a simple "helloworld"...